function g = grad2(fun,beta,x,delta,string) ;
% Computes the grad of 'fun'
% Usage:  g = grad2(fun,beta,x,delta,string) ;
% If beta is m-dimensional and
% fun is an n-dimensional vector-valued function (e.g., the log-likelihoods 
% of n individual observations in a data set), then g in n by m.
%
% Last edited:  Nov 16, 2004
%
if nargin > 4 ;
    eval(string) ;
end ;
m = rows(beta) ;
if m== 1 ; beta = beta' ; end ;
m=rows(beta) ;

ii = eye(m) ;
fbase = eval(fun) ;
betaold = beta ;
n = rows(fbase) ;

g=zeros(n,m) ;
for i = 1:m ;
    beta = betaold + delta * ii(:,i) ;
    g(:,i) = (eval(fun) - fbase) / delta ;
end ;

